package SketchAggSensor.parent;

/**
 * <p>Title: Aggregation Query in Sensor Network with Sketches</p>
 * <p>Description: This code is for the simulation of sensor network with sketches algorithms. It applies with aggregation queries.</p>
 * <p>Copyright: Computer Science Department, Boston University,Copyright (c) 2003</p>
 * <p>Company: Boston University</p>
 * @author Feifei Li
 * @version 1.0
 */
import java.util.*;

public class ParentInfo {

  int level;
   int value;
   Vector parents;

   public ParentInfo(int level, int curValue, Vector parents) {
       this.level = level;
       this.value = curValue;
       this.parents = parents;
   }

   public int getLevel() {
       return level;
   }

   public int getValue() {
       return value;
   }

   public Vector getParent() {
       return parents;
    }
}